/*******************************************************************************
***
*** Filename         : plp.h
*** Purpose          : Psion Link Protocol Encapsulation and De-encapsulation
*** Author           : Matt J. Gumbley
*** Created          : 08/01/99
*** Last updated     : 08/02/99
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef PLP_H
#define PLP_H

#define PLP_FRAMESIZE 300

/* PLP layer finite state machine state */
struct plp_state {
  int ch;
  byte *buffer;
  byte *bufptr;
  int state;
  int in_escape;
  word16 CRC,genCRC;
  int length;
};
 
extern void plp_init(struct plp_state *);
extern int plp_send(int, byte, byte *, int);
extern int plp_receive(int, int);

#endif /* PLP_H */

